/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.portlet.jira;

import hu.midori.kosmos.portlet.AbstractMonitoringConfig;

import java.util.List;

/**
 * Wraps a <i>JIRA</i> monitoring configuration.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class JiraMonitoringConfig extends AbstractMonitoringConfig {
	/** List of URLs to monitor. */
	private List<String> monitoredUrls;
    /** Action of the fixed view or <code>null</code> if the view is not fixed. */
    private String fixedView;

    public JiraMonitoringConfig(String monitoredResource, String serviceUrl, List<String> monitoredUrls, String fixedView) {
    	super(monitoredResource, serviceUrl);
    	this.monitoredUrls = monitoredUrls;
        this.fixedView = fixedView;
    }

    public List<String> getMonitoredUrls() {
		return monitoredUrls;
	}

	public String getFixedView() {
        return fixedView;
    }
	
	public boolean hasFixedView() {
		return (fixedView != null);
	}

    public String toString() {
        return String.format("%d, \"%s\"", monitoredUrls.size(), fixedView);
    }
}
