/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.protocol;

import hu.midori.kosmos.model.CcProject;

import java.util.List;

/**
 * This service provides information about <i>CruiseControl</i>
 * continuous integration projects.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public interface CcService extends TimestampedService {
    /**
     * Returns the project with the CC results page at the given URL.
     * @param url points to a CC results page (eg. <code>http://cruisecontrol.jboss.com/cc/buildresults/jbpm.3</code>).
     * @return a list with a single item.
     */
    List<CcProject> getProjects(String url);
}
