/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.protocol;

import java.util.Date;

/**
 * Each service which regularly polls some kind of datasource and 
 * retrieves its up-to-date data from there, must implement this
 * interface. This means these services have a timestamp.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public interface TimestampedService {
    /** Returns the timestamp of the latest poll. */
    public Date getTimestamp();
}
