/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server.store;

import hu.midori.kosmos.server.store.StaticContentStore;

import java.io.InputStream;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Mock static store implementation used during unit testing.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class MockStaticContentStore implements StaticContentStore {
    private final static Log log = LogFactory.getLog(MockStaticContentStore.class);

    public void begin() {
        log.debug("Beginning mock store session...");
    }

    public void end() {
        log.debug("Ending mock store session...");
    }

    public String storeFile(String fileName, InputStream in) throws Exception {
        log.debug(String.format("Storing \"%s\" (%d bytes available)...", fileName, in.available()));
                
        // return a mock URL
        return String.format("http://www.mockstaticcontentstore.com/" + fileName);
    }
}
